body{
    font-family: 'Montserrat', sans-serif;
    font-size: 1em;
}

main{
    display: grid;
    position: relative;
    margin: 0 auto;
    text-align: center;
    height: 97vh;
    max-width: 100%;
    width: calc(97vh * 1.62);  /* Ratio image */
}

img {
    height: auto;
    max-width: 100%;
    width: auto;
}

#plans {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 0;
}

    #plans .plan{
        max-height: 100%;
    }

    #plans .plan.room {
        display: none;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
    }
    
    #plans .plan.room.complete { display: block; }



.hidden-xs{
    display: block;
}

.visible-xs{
    display: none;
}


.markers {
    position: absolute; 
    z-index: 5;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

@media only screen and (orientation: portrait) and (min-width: 992px) {
    .markers {
        aspect-ratio: 1.5;
    }
}

.markers > .markers-wrap{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;    
    z-index: 5;
}


.markers > .markers-wrap > .marker {
    position: absolute;
    overflow: visible;
}


.markers > .markers-wrap > .marker1 { left: 60%; top: 77%; }
.markers > .markers-wrap > .marker2 { left: 45%; top: 62%; }
.markers > .markers-wrap > .marker3 { left: 32%; top: 50%; }
.markers > .markers-wrap > .marker4 { left: 17%; top: 17%; }
.markers > .markers-wrap > .marker5 { left: 42%; top: 27%; }
.markers > .markers-wrap > .marker6 { left: 57%; top: 41%; }
.markers > .markers-wrap > .marker7 { left: 75%; top: 59%; }
.markers > .markers-wrap > .marker8 { left: 75%; top: 35%; }
.markers > .markers-wrap > .marker9 { left: 86%; top: 48%; }


@media only screen and (max-width: 992px) {
    .markers > .markers-wrap > .marker1 { left: 63%; top: 87%; }
    .markers > .markers-wrap > .marker2 { left: 40%; top: 79%; }
    .markers > .markers-wrap > .marker3 { left: 54%; top: 63%; }
    .markers > .markers-wrap > .marker4 { left: 34%; top: 44%; }
    .markers > .markers-wrap > .marker5 { left: 70%; top: 49%; }
    .markers > .markers-wrap > .marker6 { left: 55%; top: 31%; }
    .markers > .markers-wrap > .marker7 { left: 76%; top: 71%; }
    .markers > .markers-wrap > .marker8 { left: 67%; top: 20%; }
    .markers > .markers-wrap > .marker9 { left: 38%; top: 20%; }
}





.markers > .markers-wrap > .marker > .marker-link-wrap{
    width: 100px;
    height: 100px;
    transform: translateX(-40px) translateY(-40px);
    vertical-align: middle;
    display: table-cell;
    text-align: center;
    z-index: 8;
    position: relative;
    border-radius: 100px;
}


.markers > .markers-wrap > .marker > .marker-link-wrap > a.marker-link{
    position: relative;
    display: block;
    font-weight: bold;    
    border-radius: 25px;
    background: #3FA9F5;
    box-shadow: 5px 5px 5px 2px rgba(0,0,0,0.4);
    color: #ffffff;
    text-decoration: none;
    cursor: pointer;
    width: 35px;
    height: 35px;
    line-height: 35px;
    z-index: 9;
    margin: 0 auto;
}

.markers > .markers-wrap > .marker > .marker-content {
    -webkit-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -ms-transform: translateX(-50%) translateY(-50%);
    -o-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
}


@-webkit-keyframes sonar {
    0% {opacity: 0.3;}
    40% {opacity: 0.5; box-shadow: 0 0 0 2px rgba(255,255,255,0.1), 0 0 10px 10px #ffffff, 0 0 0 10px rgba(255,255,255,0.5);}
    100% {opacity: 0; box-shadow: 0 0 0 2px rgba(255,255,255,0.1), 0 0 10px 10px #ffffff, 0 0 0 10px rgba(255,255,255,0.5); -webkit-transform: scale(1.5); transform: scale(1.5);}
}
@keyframes sonar {
    0% {opacity: 0.3;}
    40% {opacity: 0.5; box-shadow: 0 0 0 2px rgba(255,255,255,0.1), 0 0 10px 10px #ffffff, 0 0 0 10px rgba(255,255,255,0.5);}
    100% {opacity: 0; box-shadow: 0 0 0 2px rgba(255,255,255,0.1), 0 0 10px 10px #ffffff, 0 0 0 10px rgba(255,255,255,0.5); -webkit-transform: scale(1.5); transform: scale(1.5);}
}

.sonar:after{
    -webkit-animation:sonar 3s ease-in-out .1s infinite;
    -moz-animation:sonar 3s ease-in-out .1s infinite;
    -o-animation:sonar 3s ease-in-out .1s infinite;
    animation:sonar 3s ease-in-out .1s infinite;
}


.sonar:after{
    content: '';
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    box-sizing: content-box;
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-shadow: 0 0 0 2px rgba(255,255,255,0.1);
    border-radius: 25px;
    /*transform: scale(0.9);
    -webkit-transform: scale(0.9);
    -ms-transform: scale(0.9);*/
    -webkit-transform-style: preserve-3d;
}





.markers > .markers-index-wrap{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;    
    z-index: 3;
}


.markers > .markers-index-wrap > .marker-index{
    position: absolute;
    text-align: start;
    opacity: 0;
}


    .markers > .markers-index-wrap > .marker-index1{ bottom: 7%; right: 14%; }
    .markers > .markers-index-wrap > .marker-index2{ bottom: 19%; left: 19%; }
    .markers > .markers-index-wrap > .marker-index3{ bottom: 37%; left: 6%; }
    .markers > .markers-index-wrap > .marker-index4{ top: 3%; left: 23%; }
    .markers > .markers-index-wrap > .marker-index5{ top: 11%; left: 46%; }
    .markers > .markers-index-wrap > .marker-index6{ top: 15%; right: 24%; }
    .markers > .markers-index-wrap > .marker-index7{ top: 65%; right: 3%; }
    .markers > .markers-index-wrap > .marker-index8{ top: 18%; right: 16%; }
    .markers > .markers-index-wrap > .marker-index9{ top: 23%; right: 0; }



.markers > .markers-index-wrap > .marker-index > .index-content .index-content-title h2{
    font-size: 1.2em;
    font-weight: 600;
    margin: 0;
    padding: 0;
}

.markers > .markers-index-wrap > .marker-index > .index-content .index-content-title h3 {
    font-size: 0.8em;
    font-weight: 400;
    margin: 0;
    padding: 0;
}

.markers > .markers-index-wrap > .marker-index > .index-content .index-content-product-description {
    font-size: 0.8em;
    font-weight: 400;
    display: none !important;
}





.modal {
    display: none;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

.modal > .modal-content {
    position: relative;
    background-color: #fefefe;
    top: 50%;
    transform: translateY(-50%);
    margin: 0 auto;
    border: 1px solid #888;
    width: 60%;
}

.modal > .modal-content > .description{
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 80vh;
}
.modal > .modal-content > .description > .description-content{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 8%;
    width: 60%;
    max-width: 440px;
}

.modal > .modal-content > .description > .description-content > .description-content-title {
    display: block;
    position: relative;
    margin: 15px 0;
    padding: 10px 0px 10px 40px;
    background: rgba(0,0,0,0.5);
    color: #ffffff;
    font-size: 0.8em;
    text-transform: uppercase;
    text-decoration: none;
}

    .modal > .modal-content > .description > .description-content > .description-content-title > h2,
    .modal > .modal-content > .description > .description-content > .description-content-title > h3 {
        margin: 0;
        padding: 0;
        display: inline;
    }

    .modal > .modal-content > .description > .description-content > .description-content-title > h3 {
        margin-left: 15px;
        font-weight: 400;
    }

.modal > .modal-content > .description > .description-content > .description-content-links {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

    .modal > .modal-content > .description > .description-content > .description-content-links > div {
        margin-bottom: 20px;
        flex: 1;
    }

    
        .modal > .modal-content > .description > .description-content > .description-content-links > div a,
        .modal > .modal-content > .description > .description-content > .description-content-links > div p{
            display: block;
            position: relative;
            margin: 15px 0;
            padding: 10px 5px 10px 40px;
            background: rgba(0,0,0,0.5);
            color: #ffffff;
            font-size: 0.8em;
            text-transform: uppercase;
            text-decoration: none;
            min-height: 15px;
        }

        .modal > .modal-content > .description > .description-content > .description-content-links > div a:hover{
            background: rgba(0,0,0,0.8);
            font-weight: 500;
        }
        .modal > .modal-content > .description > .description-content > .description-content-links > div a::before{
            content: '';
            position: absolute;
            top: 50%;
            left: 15px;
            width: 15px;
            height: 15px;
            transform: translateY(-50%);
            background-image: url('../img/check.svg');
            background-repeat: no-repeat;
            background-size: contain;
            background-position: center center;
        }


        .modal > .modal-content > .description > .description-content > .description-content-links > div p{
            font-weight: bold;
        }

.modal > .modal-content > .hidden{
    display: none;
}

.close {
    position: absolute;
    right: 15px;
    top: 0;
    font-size: 50px;
    font-weight: 100;
    z-index: 9;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


@media only screen and (max-width: 1440px) {
        
    
    .markers > .markers-index-wrap > .marker-index > .index-content .index-content-title h2{
        font-size: 1.1em;
    }

    .markers > .markers-index-wrap > .marker-index > .index-content .index-content-title h3 {
        font-size: 0.7em;
    }

    .markers > .markers-index-wrap > .marker-index > .index-content .index-content-product-description {
        font-size: 0.7em;
    }
}


@media only screen and (max-width: 1200px) {

    .markers > .markers-wrap > .marker{
        transform: translate(-15%, -30%);
        -webkit-transform: translate(-15%, -30%);
        -ms-transform: translate(-15%, -30%);
    }

    .modal > .modal-content{
        width: 80%;
    }

    .modal > .modal-content > .description > .description-content{
        width: 80%;
        top: 55%;
    }
        



}

@media only screen and (max-width: 992px) {

    .hidden-xs{
        display: none;
    }

    .visible-xs{
        display: block;
    }

    main{
        max-width: 100%;
        width: 100%;
        height: auto;
    }

    .markers{
        aspect-ratio: auto;
    }

    .markers > .markers-wrap > .marker > a {
        width: 25px;
        height: 25px;
        line-height: 25px;
    }


    .modal > .modal-content{
        width: 90%;
    }


        
    .modal > .modal-content > .description > .description-content > .description-content-links {
        flex-direction: column;
    }

    .modal > .modal-content > .description > .description-content p{
        padding: 10px 40px 10px 40px
    }

    .markers > .markers-wrap > .marker > .index,
    #plans .plan.room.complete { 
        display: none; 
    }



}


@media only screen and (max-width: 768px) {


    .markers > .markers-wrap > .marker > a {
        width: 20px;
        height: 20px;
        line-height: 18px;
        font-size: 12px;
    }

    .modal > .modal-content > .description{
        height: 75vh;
    }

    .modal > .modal-content > .description > .description-content{
        left: 10%;
        right: auto;
    }

}